Online and Mobile Banking Browser and Operating System Requirements

Salem Five is committed to providing its customers with the highest level of security available. Any device or browser that does not support TLS 1.2 will not be able to connect even if the device is on a supported operating system version. This is being enforced to comply with security mandates from regulatory authorities and ensures secure communications for mobile banking users.


 

Minimum Requirements for using Online Banking

Windows10 Logo Windows 10


  • Edge
  • Chrome
  • Firefox

macOS Apple Logo macOSx10.14+ (Mojave, Catalina)


  • Chrome
  • Safari

Minimum Requirements for using Mobile Banking

Android Logo Android 7.0


Hardware/Browser Support:

  • Only the default installed browser is supported (Android/Chrome)
  • Beta versions of browsers are not supported


Channel Support:

  • Android Application
  • SMS
 

macIOS Apple Logo mac iOS - iPhone 12.0


Hardware/Browser Support:

  • Only the default installed browser is supported (Safari)
  • Beta versions of browsers are not supported


Channel Support:

  • iPhone Application
  • SMS
 
Supported Networks:

AT&T®    |    Verizon®    |    Sprint®    |    T-Mobile®
 

Certified Devices